body {
    font-family: Arial, Helvetica, sans-serif !important;
    /* background-color: black !important;
    color: white !important; */
    overflow-x: hidden;
    padding-right: 15px !important;
}
::-webkit-scrollbar {
    width: 12px;
}

::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-radius: 10px;
}

::-webkit-scrollbar-thumb {
    background-image: linear-gradient(royalblue, red, green, royalblue);
    border-radius: 6px;
}

::-webkit-scrollbar-thumb:hover {
    background-image: linear-gradient(red, green, royalblue, red);
}

/* For Firefox */
/* * {
    scrollbar-width: thin;
    scrollbar-color: #888 #f1f1f1;
} */


a {
    text-decoration: none !important;
}

.row>* {
    padding-right: 0px !important;
}

header {
    padding: 12px 20px;
    box-shadow: 2px 2px 20px rgb(150, 150, 150);
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    z-index: 2;
    background: rgba(255, 255, 255, 0.7);
    /* Adjust background for better visibility */
    backdrop-filter: blur(15px);
    /* Adds the blur effect */
    -webkit-backdrop-filter: blur(15px);

    /* Safari support */
    h3 {
        color: royalblue;
        font-weight: bolder;
    }

    .links {
        margin-top: 7px;
    }

    .links a {
        color: black;
        margin: auto 15px;
        font-weight: bold;
    }

    a:hover {
        color: royalblue;
    }

    .links .active {
        color: royalblue !important;
    }
}

.top-section {
    margin-top: 65px !important;
}

.ssongs {
    font-weight: bolder;
    margin: 50px auto 20px 40px;
}

.ssongs-container {
    padding-right: 50px;
}

.box1 {
    background-image: url(images/hanuman\ chalisa\ banner.png);
    background-size: cover;
    margin: 50px 50px 20px 80px;
    aspect-ratio: 1.9;
    border-radius: 10px;
}

.box-1-desc {
    margin-left: 80px;
    color: black;

    h1 {
        font-weight: bold;
    }
}

.box2 {
    margin: 15px 5px;
    width: 80%;
    aspect-ratio: 0.8;
    border-radius: 10px;
    background-size: cover;
    transition: all 0.2s;
}

.box2:hover {
    transform: translateY(-10px);
    scale: 1.05;
}

.ssongs-container .col-6:nth-child(1) .box2 {
    background-image: url(images/khaiba_agaru.webp);
}

.ssongs-container .col-6:nth-child(2) .box2 {
    background-image: url(images/nada\ achara.webp);
}

.ssongs-container .col-6:nth-child(3) .box2 {
    background-image: url(images/urea\ nada.webp);
}

.ssongs-container .col-6:nth-child(4) .box2 {
    background-image: url(images/gaiku\ kamadhenu\ kariba\ asa.webp);
}

.blog-heading {
    font-weight: bold;
    margin: 60px auto auto 80px;
}

.blog-container {
    padding: 50px 80px 20px;

    h5 {
        font-weight: bold !important;
    }
}

iframe {
    border-radius: 10px;
    width: 100%;
    aspect-ratio: 1.77;
    margin-bottom: 10px;
}

.custom-btn {
    width: 130px;
    height: 40px;
    color: #fff;
    padding: 10px 25px;
    margin-bottom: 50px;
    font-family: 'Lato', sans-serif;
    font-weight: 500;
    background: transparent;
    cursor: pointer;
    transition: all 0.3s ease;
    position: relative;
    display: inline-block;
    outline: none;
}

/* 5 */
.btn-5 {
    width: 130px;
    height: 40px;
    line-height: 42px;
    padding: 0;
    border: none;
    background: rgb(255, 27, 0);
}

.btn-5:hover {
    color: #f0094a;
    background: transparent;
    box-shadow: none;
}

.btn-5:before,
.btn-5:after {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    height: 2px;
    width: 0;
    background: #f0094a;
    box-shadow:
        -1px -1px 5px 0px #fff,
        7px 7px 20px 0px #0003,
        4px 4px 5px 0px #0002;
    transition: 400ms ease all;
}

.btn-5:after {
    right: inherit;
    top: inherit;
    left: 0;
    bottom: 0;
}

.btn-5:hover:before,
.btn-5:hover:after {
    width: 100%;
    transition: 800ms ease all;
}

.copyright {
    margin: auto 10px 15px;
    text-align: right;
    color: gray;
}
.infomark{
    
    margin: auto 10px 15px 20px;
    text-align: right;
    color: gray;
}

/* songs */
.awareness-song {
    padding: 0px 200px;

    img {
        width: 90%;
        border-radius: 10px;
    }

    h3 {
        text-align: center;
        font-weight: bold;
        margin-bottom: 30px;
        animation: sheading 0.7s 1;
    }

    .row{
        animation: scontent 1.4s 1;
    }

    .box3 {
        margin-bottom: 28px;
        text-align: center;
        transition: all 0.2s;
    }

    .box3:hover {
        transform: translateY(-10px);
        scale: 1.05;
    }
}

#passwordModalLabel {
    font-weight: bolder;
}

#password-input {
    background: rgb(200, 200, 200);
    margin: auto 10%;
    width: 80%;
    font-size: 24px;
    text-align: center;
}

.popup {
    display: flex;
    justify-content: center;

    button {
        margin: 30px 10px 5px;
    }
}
.version h2{
    text-align: center;
    font-weight: bolder;
    margin-top: 40px;
}
@keyframes sheading {
    0% {
        opacity: 0;
        transform: scale(1.2);
    }

    100% {}
}

@keyframes scontent {
    0% {
        opacity: 0;
        transform: scale(1.05);
    }
    50% {
        opacity: 0;
        transform: scale(1.05);
    }

    100% {}
}

/* profile */
.info{
    position: fixed;
    top: 80px;
    right: 20px;
    color: rgb(124, 124, 124);
    font-size: 30px;
    transition: all 0.2s;
}
.info:hover{
    transform: scale(1.15);
}
.profile {
    text-align: center;
    margin-top: 150px;

    img {
        width: 200px;
        border-radius: 50%;
        animation: ppic 0.7s 1;
    }

    h2 {
        font-weight: bold;
        color: royalblue;
        margin: 30px auto 5px;
        animation: phdng 1s 1;
    }
    p{
        animation: phdng 1.3s 1;
    }

    .links {
        justify-content: center;
        animation: plinks 2s 1;
    }

    .link1 {
        border-radius: 20px;
        width: 150px;
        margin: 10px;
        display: flex;
        justify-content: space-evenly;
    }

    h5 {
        margin: 30px auto 10px;
        animation: plinks 2s 1;
    }

    .fa-solid,
    .fa-brands,
    .fas {
        margin-top: 4px;
    }
}

@keyframes ppic {
    0% {
        opacity: 0;
        transform: scale(0.5);
    }

    40% {
        opacity: 1;
        transform: scale(1.2);
    }

    60% {
        transform: scale(0.95);
    }

    80% {
        transform: scale(1.05);
    }

    100% {
        transform: scale(1);
    }
}

@keyframes phdng {
    0% {
        opacity: 0;
        transform: translateY(-50px);
    }

    50% {
        opacity: 0;
        transform: translateY(-50px);
    }

    100% {}
}

@keyframes plinks {
    0% {
        opacity: 0;
    }

    70% {
        opacity: 0;
    }

    100% {}
}

/* personal */

.personal-security{
    text-align: center;
    video{
        width: 200px;
        margin: 150px auto 20px;
    }
    button{
        width: 100px;
        margin-top: 30px;
    }
    #password-input{
        width: 400px;
    }
}
.collections{
    margin: 100px 20px 20px !important;
    /* display: none !important; */
    h2{
        margin-top: 20px;
        font-weight: bolder;
    }
    p{
        color: rgb(164, 164, 164);
        font-size: smaller;
    }
    .book{
        padding: 0px 60px !important;
        a{
            width: 120px;
            color: white;
        }
        a i{
            transition: all 0.3s;
        }
        a:hover i{
            scale: 1.2;
        }
        .desc{
            padding-right: 20px;
        }
    }
}

@media (max-width: 768px) {
    header {
        padding: 12px 10px;

        h3 {
            color: royalblue;
            font-weight: bolder;
            text-align: center;
            font-size: 30px;
        }

        .links {
            margin-top: 7px;
            display: flex;
            justify-content: space-evenly;
        }

        .links a {
            color: black;
            text-decoration: none;
            margin: auto 10px;
            font-size: 15px;
            font-weight: bold;
        }
    }

    .top-section {
        margin-top: 100px !important;
    }

    .box1 {
        margin: 40px 20px 20px;
    }

    .box-1-desc {
        margin-left: 20px;
    }

    .ssongs {
        margin: 50px auto 20px 20px;
    }

    .ssongs-container {
        padding-right: 0px;
        margin-right: 0px !important;
    }

    .box2 {
        margin: 10px 5px;
        width: 85%;
    }

    .blog-heading {
        margin: 80px auto auto 20px;
    }

    .blog-container {
        padding: 50px 20px 10px;
    }

    iframe {
        margin-bottom: 5px;
    }

    .awareness-song {
        padding: 0px 20px;

        h3 {
            text-align: center;
            font-weight: bold;
            margin-bottom: 30px;
            margin-top: 30px;
        }
    }

    .profile .links {
        flex-direction: column;
        align-items: center;
        /* Centers items vertically */
        justify-content: center;
    }

    .profile {
        margin-top: 140px;
    }
    .info{
        top: 110px;
        font-size: 25px;
    }
    .version h2{
        margin-top: 60px;
    }
    .personal-security{
        text-align: center;
        video{
            width: 200px;
            margin: 200px auto 20px;
        }
        button{
            width: 100px;
            margin-top: 30px;
        }
        #password-input{
            width: 80%;        
        }
    }
    .collections{
        margin: 120px 20px 20px !important;
        h1{
            margin-top: 20px;
        }
        .book{
            padding: 0px 0px !important;
        }
    }
}